Bug 1291723 - Old network SetupNetwork command doesn't update bridge opts and ethtool opts of custom properties in NetworkAttachment
Old network SetupNetwork command doesn't update bridge opts and ethtool opts ...
Status: CLOSED INSUFFICIENT_DATA
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network (Show other bugs)
3.6.0
x86_64 Linux
high Severity medium (vote)
: ovirt-3.6.5
: ---
Assigned To: Yevgeny Zaspitsky
Meni Yakove
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 08:49 EST by GenadiC
Modified: 2016-02-22 07:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-07 06:42:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
ylavi: blocker+
ylavi: planning_ack+
danken: devel_ack+
myakove: testing_ack+


Attachments (Terms of Use)
engine and vdsm logs (498.26 KB, application/zip)
2016-01-25 10:44 EST, GenadiC
no flags Details

  None (edit)
Description GenadiC 2015-12-15 08:49:32 EST
Description of problem:
We run automation test that uses the old setupNetwork and try to update the custom properties (bridge opts and ethtool opts).
After update succeeds checking on host shows the correct (updated) values, but  Rest doesn't show the correct values after update

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. We run automation test to use old SN (test 13)
2. After updating the custom properties check the API (ethtool and bridge opts)
3.

Actual results:
The values in API weren't changed

Expected results:
After update of custom properties the values should change to the new values

Additional info:
Using new setupNetwork works fine

In order to run test13 of network_custom_properties feature you need to add to __init__ of the test to create network with bridge and ethtool opts
Comment 1 Meni Yakove 2015-12-15 14:27:33 EST
Please add logs
Comment 2 GenadiC 2016-01-25 10:44 EST
Created attachment 1118081 [details]
engine and vdsm logs
Comment 3 Yevgeny Zaspitsky 2016-02-04 04:35:00 EST
Please add actual http calls you used (both for updating and for retrieving the info).
Comment 4 Dan Kenigsberg 2016-02-07 06:42:49 EST
We fail to reproduce this issue; however we've identified two related bug 1304787 and bug 1304784 regarding custom properties and the old setup network command.
Comment 5 GenadiC 2016-02-22 07:28:20 EST
Can't reproduce anymore

Note You need to log in before you can comment on or make changes to this bug.